#include <QApplication>
#include <QLibraryInfo>
#include <QTranslator>
#include <QLocale>

#include "digitalclockwdg.h"
#if defined(Q_WS_MAEMO_5)
#include "qmaemo5homescreenadaptor.h"
#endif

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QTranslator qtTranslator;
    qtTranslator.load(QLatin1String("qt_") + QLocale::system().name(),
         QLibraryInfo::location(QLibraryInfo::TranslationsPath));
    app.installTranslator(&qtTranslator);

    QTranslator myappTranslator;
    myappTranslator.load("digiclock_" + QLocale::system().name(),"/opt/digiclockwidget");
    app.installTranslator(&myappTranslator);

    QGraphicsScene sceneIntro(-100, -100, 200, 200);
    DigitalClockWdg *clock = new DigitalClockWdg(&sceneIntro);

/*    clock->setTransform(QTransform()
                            .translate(clock->size().width() / 2, clock->size().height() / 2)
                            .rotate(270, Qt::ZAxis)
                            .translate(-clock->size().width() / 2, -clock->size().height() / 2));
*/
//    DigitalClockWdg clock;
#if  defined(Q_WS_MAEMO_5)
    QMaemo5HomescreenAdaptor *adaptor = new QMaemo5HomescreenAdaptor((QWidget*)clock);
    adaptor->setSettingsAvailable(true);
    QString aId = adaptor->getAppletId();
    if (aId.isEmpty())
        aId ="b";
    clock->setId(aId);
    QObject::connect(adaptor, SIGNAL(settingsRequested()), clock, SLOT(showSettingsDialog()));
    QObject::connect(adaptor, SIGNAL(homescreenChanged(bool)), clock, SLOT(homeScreenChanged(bool)));
//    clock.setLineWidth(0);
    clock->show();
#else
    clock->setId(QString("a"));
    clock->show();
#endif
    return app.exec();
}
